Bug 120320 - Mistake in sample config file from net-mgmt/nagios
Mistake in sample config file from net-mgmt/nagios
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Rong-En Fan
Depends on:
  Show dependency treegraph
Reported: 2008-02-06 14:40 UTC by piotr
Modified: 2008-03-22 12:10 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description piotr 2008-02-06 14:40:01 UTC
When I installed the nagios port, there are come from this port some
sample config files.

In file 'command.conf-sample' thereis 'SAMPLE NOTIFICATION COMMANDS' section.
In this section there is sample command to notify by e-mail:

---cut here---
define command{
        command_name    host-notify-by-email
        command_line    /usr/bin/printf "%b" "***** Nagios 2.10 *****\n\nNotification Type: $NOTIFICATIONTYP
E$\nHost: $HOSTNAME$\nState: $HOSTSTATE$\nAddress: $HOSTADDRESS$\nInfo: $HOSTOUTPUT$\n\nDate/Time: $LONGDATE
TIME$\n" | /bin/mail -s "Host $HOSTSTATE$ alert for $HOSTNAME$!" $CONTACTEMAIL$
---cut here---

---cut here---
define command{
        command_name    notify-by-email
        command_line    /usr/bin/printf "%b" "***** Nagios 2.10 *****\n\nNotification Type: $NOTIFICATIONTYP
E$\n\nService: $SERVICEDESC$\nHost: $HOSTALIAS$\nAddress: $HOSTADDRESS$\nState: $SERVICESTATE$\n\nDate/Time:
 $LONGDATETIME$\n\nAdditional Info:\n\n$SERVICEOUTPUT$" | /bin/mail -s "** $NOTIFICATIONTYPE$ alert - $HOSTA
---cute here---

In this two commands there is mistake "/bin/mail". In FreeBSD 6.2-Release
'mail' command is in /usr/bin/ location.


Aplly a patch to correct this wrong path to 'mail' program.
Comment 1 Mark Linimon freebsd_committer 2008-02-07 06:48:07 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

Make this a ports PR.  The 'conf' category is only for configuration 
files in the base system itself.
Comment 2 Rong-En Fan freebsd_committer 2008-03-22 05:07:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

I'll take it.
Comment 3 dfilter freebsd_committer 2008-03-22 12:03:33 UTC
rafan       2008-03-22 12:03:26 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/nagios      Makefile distinfo 
    net-mgmt/nagios/files patch-configure.in 
  - Update to 2.11 [1]
  - Fix wrong mail program path in sample config file [2]
  PR:             ports/121866 [1], ports/120320 [2]
  Submitted by:   Jarrod Sayers <jarrod at netleader.com.au> (maintainer) [1]
  Revision  Changes    Path
  1.68      +1 -2      ports/net-mgmt/nagios/Makefile
  1.38      +3 -3      ports/net-mgmt/nagios/distinfo
  1.3       +12 -3     ports/net-mgmt/nagios/files/patch-configure.in
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Rong-En Fan freebsd_committer 2008-03-22 12:08:56 UTC
State Changed
From-To: open->closed

Fixed by ports/121866.